var Stimulsoft = require("stimulsoft-reports-js");

Stimulsoft.Base.StiFontCollection.addOpentypeFontFile("Roboto-Black.ttf");

var report = Stimulsoft.Report.StiReport.createNewReport();
report.loadFile("reports/Report.mrt");

report.dictionary.databases.clear();

var dsentrySampleData = new Stimulsoft.System.Data.DataSet();
dsentrySampleData.readJsonFile("data/entrySampleData.json");
report.regData("entrySampleData", null, dsentrySampleData);

report.renderAsync(function () {
	var data = report.exportDocument(Stimulsoft.Report.StiExportFormat.Pdf);

	var buffer = new Buffer(data, "utf-8");
	var fs = require("fs");
	fs.writeFileSync("Report.pdf", buffer);
})